OPENSSL-VERIFY(1SSL)

NUME
openssl-verify - comanda de verificare a certificatului

SINOPSIS
openssl verify [-help] [-CRLfile nume-fișier|uri] [-crl_download] [-show_chain] [-verbose] [-trusted nume-fișier|uri] [-untrusted nume-fișier|uri] [-vfyopt nm:v] [-nameopt opțiune] [-CAfile fișier] [-no-CAfile] [-CApath director] [-no-CApath] [-CAstore uri] [-no-CAstore] [-engine id] [-allow_proxy_certs] [-attime marcaj-timp] [-no_check_time] [-check_ss_sig] [-crl_check] [-crl_check_all] [-explicit_policy] [-extended_crl] [-ignore_critical] [-inhibit_any] [-inhibit_map] [-partial_chain] [-policy argument] [-policy_check] [-policy_print] [-purpose scop] [-suiteB_128] [-suiteB_128_only] [-suiteB_192] [-trusted_first] [-no_alt_chains] [-use_deltas] [-auth_level număr] [-verify_depth număr] [-verify_email email] [-verify_hostname nume-gazdă] [-verify_ip ip] [-verify_name nume] [-x509_strict] [-issuer_checks] [-provider nume] [-provider-path ruta] [-provparam [nume:]cheie=valoare] [-propquery propq] [--] [certificat ...]

DESCRIERE
Această comandă verifică lanțurile de certificate. Dacă un lanț de certificate are mai multe probleme, acest program încearcă să le afișeze pe toate.

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-CRLfile nume-fișier|uri
    Fișierul sau URI-ul trebuie să conțină una sau mai multe liste CRL în format PEM sau DER. Această opțiune poate fi specificată de mai multe ori pentru a include liste CRL din mai multe surse.

-crl_download
    Încearcă să descarce informații CRL pentru certificate prin intermediul intrărilor CDP ale acestora.

-show_chain
    Afișează informații despre lanțul de certificate care a fost creat (dacă operația a reușit). Certificatele din lanț care provin din lista de certificate neîncredere vor fi marcate ca „untrusted”.

-verbose
    Afișează detalii suplimentare despre operațiile efectuate.

-trusted nume-fișier|uri
    Un fișier sau URI cu certificate (mai mult sau mai puțin) de încredere. Consultați openssl-verification-options(1) pentru mai multe informații despre configurările de încredere.

    Această opțiune poate fi specificată de mai multe ori pentru a încărca certificate din mai multe surse.

-untrusted nume-fișier|uri
    Un fișier sau URI cu certificate de neîncredere care vor fi utilizate pentru construirea lanțului. Această opțiune poate fi specificată de mai multe ori pentru a încărca certificate din mai multe surse.

-vfyopt nm:v
    Transferă opțiunile către algoritmul de semnătură în timpul operațiilor de verificare. Numele și valorile acestor opțiuni sunt specifice algoritmului.

-nameopt opțiune
    Aceasta specifică modul în care sunt afișate numele subiectului sau ale emitentului. Consultați openssl-namedisplay-options(1) pentru detalii.

-engine id
    Consultați secțiunea «Opțiuni motor» din openssl(1). Această opțiune este depreciată.

    Pentru a încărca certificate sau CRL-uri care necesită suport pentru motor, specificați opțiunea -engine înaintea oricăreia dintre opțiunile -trusted, -untrusted sau -CRLfile.

-CAfile fișier, -no-CAfile, -CApath dir, -no-CApath, -CAstore uri, -no-CAstore
    Consultați «Opțiuni certificat de încredere» în openssl-verification-options(1) pentru detalii.

-allow_proxy_certs, -attime, -no_check_time, -check_ss_sig, -crl_check, -crl_check_all, -explicit_policy, -extended_crl, -ignore_critical, -inhibit_any, -inhibit_map, -no_alt_chains, -partial_chain, -policy, -policy_check, -policy_print, -purpose, -suiteB_128, -suiteB_128_only, -suiteB_192, -trusted_first, -use_deltas, -auth_level, -verify_depth, -verify_email, -verify_hostname, -verify_ip, -verify_name, -x509_strict -issuer_checks
    Stabilește diferite opțiuni de verificare a lanțului de certificate. Consultați «Opțiuni certificat de încredere» în openssl-verification-options(1) pentru detalii.

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

--  Indică ultima opțiune. Toate argumentele care urmează după aceasta sunt considerate fișiere de certificate. Acest lucru este util dacă primul nume de fișier de certificat începe cu -.

certificat ...
    Unul sau mai multe certificate țintă de verificat, câte unul pe fișier. Dacă nu sunt specificate certificate, această comandă va încerca să citească un singur certificat de la intrarea standard.

DIAGNOSTICARE
Când o operație de verificare eșuează, mesajele de ieșire pot fi oarecum criptice. Forma generală a mesajului de eroare este:

 server.pem: /C=AU/ST=Queensland/O=CryptSoft Pty Ltd/CN=Test CA (1024 bit)
 error 24 at 1 depth lookup:invalid CA certificate

Prima linie conține numele certificatului verificat, urmat de numele subiectului certificatului. A doua linie conține numărul erorii și adâncimea. Adâncimea este numărul certificatului verificat atunci când a fost detectată o problemă, începând cu zero pentru certificatul țintă („frunză”) în sine, apoi 1 pentru autoritatea de certificare care a semnat certificatul țintă și așa mai departe. În final, este prezentată o versiune textuală a numărului erorii.

O listă a codurilor și mesajelor de eroare poate fi găsită în X509_STORE_CTX_get_error(3); lista completă este definită în fișierul antet <openssl/x509_vfy.h>.

Această comandă ignoră multe erori, pentru a permite identificarea tuturor problemelor legate de lanțul de certificate.

CONSULTAȚI ȘI
openssl-verification-options(1), openssl-x509(1), ossl_store-file(7)

ISTORIC
Opțiunea -show_chain a fost adăugată în OpenSSL 1.1.0.

Opțiunea -engine a fost depreciată în OpenSSL 3.0.

DREPTURI DE AUTOR
Drepturi de autor 2000-2021 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.